Bug 430840 - Activation keys with child channels do not work
Activation keys with child channels do not work
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
Depends On:
  Show dependency treegraph
Reported: 2008-01-29 21:12 EST by James Bowes
Modified: 2013-01-10 04:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-01 09:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-01-29 21:12:13 EST
Trying to use an activation key during registration that has one or more child
channels associated with it will cause an ISE during registration.

To reproduce:
 * Create an activation key via the webui
 * Add a child channel for this key
 * Register a system with rhnreg_ks, providing the key as an argument
 * Registration will fail
 * Registration succeeds, and the server gets the selected child channel
Comment 1 Amy Owens 2008-01-30 16:17:49 EST
verified in qa using fjs-0-01
Comment 2 Amy Owens 2008-01-31 12:33:11 EST
verified in stage

Note You need to log in before you can comment on or make changes to this bug.